#!/usr/bin/env python3

import argparse
import configparser
import sys
import os
import pathlib
import statsd
import inspect
from io import StringIO
from datetime import datetime

# if script's parent directory isn't in sys.path, then add it
if ('/'.join(sys.path[0].split("/")[:-1]) not in sys.path):
    sys.path.append('/'.join(sys.path[0].split("/")[:-1]))

from apsdk import apenv

def update_file_timestamp(filename):
    with open(filename, 'a'):
        print ("\nUpdating " + filename + " access time")
        os.utime(filename, None)

def main():
    print ("\nSTARTING")
    localwatchdogstatus_csv = apenv.get_data_root() + "/watchdogoutput/localwatchdogstatus.csv"

    print ("\nUpdating localwatchdogstatus.csv")
    update_file_timestamp(localwatchdogstatus_csv)

    sys.exit(os.EX_OK)

if __name__ == '__main__':
    main()


